export default class KHHooks {
    static async onCreateActor(actor, options, userId) {
        if (actor.data.type == "character") {
            // Load Skills Compendium skills
            let skillIndex;
            let actorbaseSkills;

            if(game.settings.get("kopparhavet", "gameSystem") === "hjaltarnas-tid") {
                actorbaseSkills = CONFIG.KH.baseSkillsHT
                skillIndex = await game.packs.get("kopparhavet.skills-ht").getContent();
            } else {
                actorbaseSkills = CONFIG.KH.baseSkills;
                skillIndex = await game.packs.get("kopparhavet.skills").getContent();
            }

            // Check if skill already exists by some chance
            const existingSkills = actor.items.filter((i) => i.type === ItemType.Skill).map((i) => i.name);
            const skillsToAdd = actorbaseSkills.filter((s) => !existingSkills.includes(s));

            // Filter skillIndex array to include only skills for Actor Type.
            let _skillsList = skillIndex.filter((i) => skillsToAdd.includes(i.data.name));

            await actor.createEmbeddedEntity("OwnedItem", _skillsList);
        } else {
            setTimeout(async function () {
                await actor.sheet.render(true);
            }, 500);
        }
    }
}